package com.engine.salary.enums.salaryaccounting;

import com.engine.salary.enums.BaseEnum;

/**
 * 人员类型
 */
public enum EmployeeTypeEnum  implements BaseEnum<Integer> {

    ORGANIZATION(0, "组织架构", 109125),
    EXT_EMPLOYEE(1, "非系统人员", 119127),
    ;

    private int value;

    private String defaultLabel;

    private int labelId;

    EmployeeTypeEnum(int value, String defaultLabel, int labelId) {
        this.value = value;
        this.defaultLabel = defaultLabel;
        this.labelId = labelId;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public Integer getLabelId() {
        return labelId;
    }

    @Override
    public String getDefaultLabel() {
        return defaultLabel;
    }
}
